=== modified file 'CMakeLists.txt'
--- CMakeLists.txt	2012-06-20 11:44:48 +0000
+++ CMakeLists.txt	2012-06-20 13:58:25 +0000
@@ -31,4 +31,5 @@
 
 include_directories(include/)
 
+add_subdirectory(src/)
 add_subdirectory(tests/)

=== modified file 'include/mir/compositor/compositor.h'
--- include/mir/compositor/compositor.h	2012-06-20 11:44:48 +0000
+++ include/mir/compositor/compositor.h	2012-06-20 13:58:25 +0000
@@ -38,15 +38,20 @@
 
 namespace compositor
 {
+class buffer_manager;
 
 class compositor : public drawer
 {
 public:
-	explicit compositor(surfaces::scenegraph* scenegraph) : scenegraph(scenegraph) {}
+	explicit compositor(
+			surfaces::scenegraph* scenegraph,
+			buffer_manager* buffermanager);
+
 	virtual void render(graphics::display* /*display*/) { /*TODO*/ }
 
 private:
 	surfaces::scenegraph* scenegraph;
+	buffer_manager* buffermanager;
 };
 
 }}

=== added directory 'src'
=== added file 'src/CMakeLists.txt'
--- src/CMakeLists.txt	1970-01-01 00:00:00 +0000
+++ src/CMakeLists.txt	2012-06-20 13:58:25 +0000
@@ -0,0 +1,26 @@
+# Copyright © 2012 Canonical Ltd.
+#
+# Permission to use, copy, modify, distribute, and sell this software
+# and its documentation for any purpose is hereby granted without
+# fee, provided that the above copyright notice appear in all copies
+# and that both that copyright notice and this permission notice
+# appear in supporting documentation, and that the name of
+# Canonical Ltd. not be used in advertising or publicity pertaining to
+# distribution of the software without specific, written prior permission.
+# Canonical Ltd. makes no representations about the suitability of this
+# software for any purpose. It is provided "as is" without express or
+# implied warranty.
+#
+# CANONICAL, LTD. DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
+# INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN
+# NO EVENT SHALL CANONICAL, LTD. BE LIABLE FOR ANY SPECIAL, INDIRECT OR
+# CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
+# OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
+# NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
+# WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+#
+# Authored by: Thomas Voss <thomas.voss@canonical.com>,
+#              Alan Griffiths <alan@octopull.co.uk>
+
+
+add_subdirectory(compositor/)

=== added directory 'src/compositor'
=== added file 'src/compositor/CMakeLists.txt'
--- src/compositor/CMakeLists.txt	1970-01-01 00:00:00 +0000
+++ src/compositor/CMakeLists.txt	2012-06-20 13:58:25 +0000
@@ -0,0 +1,5 @@
+ADD_LIBRARY( 
+  mircompositor STATIC
+  
+  compositor.cpp
+)

=== added file 'src/compositor/compositor.cpp'
--- src/compositor/compositor.cpp	1970-01-01 00:00:00 +0000
+++ src/compositor/compositor.cpp	2012-06-20 13:58:25 +0000
@@ -0,0 +1,39 @@
+/*
+ * Copyright © 2012 Canonical Ltd.
+ *
+ * Permission to use, copy, modify, distribute, and sell this software
+ * and its documentation for any purpose is hereby granted without
+ * fee, provided that the above copyright notice appear in all copies
+ * and that both that copyright notice and this permission notice
+ * appear in supporting documentation, and that the name of
+ * Canonical Ltd. not be used in advertising or publicity pertaining to
+ * distribution of the software without specific, written prior permission.
+ * Canonical Ltd. makes no representations about the suitability of this
+ * software for any purpose. It is provided "as is" without express or
+ * implied warranty.
+ *
+ * CANONICAL, LTD. DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
+ * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN
+ * NO EVENT SHALL CANONICAL, LTD. BE LIABLE FOR ANY SPECIAL, INDIRECT OR
+ * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
+ * OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
+ * NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
+ * WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ *
+ * Authored by: Alan Griffiths <alan@octopull.co.uk>
+ */
+
+#include "mir/compositor/compositor.h"
+#include "mir/compositor/buffer_manager.h"
+
+namespace mc = mir::compositor;
+
+
+mc::compositor::compositor(
+	surfaces::scenegraph* scenegraph,
+	buffer_manager* buffermanager)
+:
+	scenegraph(scenegraph),
+	buffermanager(buffermanager)
+{
+}

=== modified file 'tests/CMakeLists.txt'
--- tests/CMakeLists.txt	2012-06-20 11:44:48 +0000
+++ tests/CMakeLists.txt	2012-06-20 13:58:25 +0000
@@ -59,6 +59,7 @@
 
 target_link_libraries(
   test_renderloop
+  mircompositor
   ${GTEST_BOTH_LIBRARIES}
   ${GMOCK_LIBRARY}
   ${GMOCK_MAIN_LIBRARY}

=== modified file 'tests/test_renderloop.cpp'
--- tests/test_renderloop.cpp	2012-06-20 11:44:48 +0000
+++ tests/test_renderloop.cpp	2012-06-20 13:58:25 +0000
@@ -26,6 +26,7 @@
 #include "mir/graphics/framebuffer_backend.h"
 #include "mir/compositor/drawer.h"
 #include "mir/compositor/compositor.h"
+#include "mir/compositor/buffer_manager.h"
 
 #include <gmock/gmock.h>
 #include <gtest/gtest.h>
@@ -49,7 +50,7 @@
 	using namespace testing;
 
 	mock_framebuffer_backend graphics;
-	mc::drawer&& comp = mc::compositor(nullptr);
+	mc::drawer&& comp = mc::compositor(nullptr, nullptr);
 
 	EXPECT_CALL(graphics, render()).Times(AtLeast(1));
 	

